# Uses of Interface
org.opensaml.saml.saml2.core.Action

Packages that use Action
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.

## Uses of Action in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return types with arguments of type Action
Modifier and Type
Method
Description
`List<Action>`
AuthzDecisionQuery.`getActions()`
Gets the Actions of this query.
`List<Action>`
AuthzDecisionStatement.`getActions()`
Gets the actions authorized to be performed.

## Uses of Action in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement Action
Modifier and Type
Class
Description
`class`
`ActionImpl`
A concrete implementation of `Action`.
Fields in org.opensaml.saml.saml2.core.impl with type parameters of type Action
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<Action>`
AuthzDecisionQueryImpl.`actions`
Action child elements.
`private final XMLObjectChildrenList<Action>`
AuthzDecisionStatementImpl.`actions`
Actions authorized to be performed.
Methods in org.opensaml.saml.saml2.core.impl that return Action
Modifier and Type
Method
Description
`Action`
ActionBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`Action`
ActionBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.core.impl that return types with arguments of type Action
Modifier and Type
Method
Description
`List<Action>`
AuthzDecisionQueryImpl.`getActions()`
Gets the Actions of this query.
`List<Action>`
AuthzDecisionStatementImpl.`getActions()`
Gets the actions authorized to be performed.